#ifndef SYSTEM_H
#define SYSTEM_H

#include <SDL.h>

class CSystem
{
public:
    CSystem();

    void    wait(Uint32 ms);
    void    processEvents();
    bool    isQuitRequested();

    void    StartPerfCounter();
    float   StopPerfCounter();

    int     mMouseX, mMouseY;

private:
    bool    mQuitRequest;
    Uint64  mPerfCounter;
};

extern CSystem sys;

#endif // SYSTEM_H
